org.apache.sling.hapi.client

## Interface Document

All Known Implementing Classes:
  MicrodataDocument

    public interface Document

A hapi representation of an HTML document, backed by HTML markup. The Document provides a structure, accessible through the `item(String)` and `items()` methods and a way to use the hypermedia controls through the `link(String)` and `form(String)` methods

### Method Summary

Methods
`Items` `form(String rel)` Get all the `Document`'s form items.
`Items` `item(String rel)` Get all the `Document`'s items.
`Items` `items()` Get all the `Document`'s items.
`Items` `link(String rel)` Get all the `Document`'s link items.

### Method Detail

#### link

    Items link(String rel)
               throws ClientException

Get all the `Document`'s link items. These Items should normally be backed by HTML anchors and links.

Parameters:
  `rel` - An identifier that groups all the link Items for this Document
Returns:
  all the link Items for this Document, that have the given relation
Throws:
  `ClientException`

#### form

    Items form(String rel)
               throws ClientException

Get all the `Document`'s form items. These Items should normally be backed by the HTML form element

Parameters:
  `rel` - An identifier that groups all the form Items for this Document
Returns:
  all the form Items for this Document, that have the given relation
Throws:
  `ClientException`

#### item

    Items item(String rel)
               throws ClientException

Get all the `Document`'s items. These Items are backed by any HTML element

Parameters:
  `rel` - An identifier that groups all the Items for this Document
Returns:
  all the Items for this Document, that have the given relation
Throws:
  `ClientException`

#### items

    Items items()
                throws ClientException

Get all the `Document`'s items. These Items are backed by any HTML element

Returns:
  all the Items for this Document
Throws:
  `ClientException`